using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IAppMenuRepository : IRepository<AppMenu>
	{
		IQueryable<AppMenu> LoadAllByPage(out long total, int page, int rows, string order, string sort);

        IQueryable<AppMenu> LoadAll(int type, int hotelID);
	}
}
